using System.ComponentModel;
using WCS.Entity.Protocol.Protocol.Robot;

namespace WCS.Entity.Protocol.Robot
{
    /// <summary>
    ///  机械臂520
    /// </summary>
    [Description("520")]
    public interface IRobot520 : IProtocol
    {
        [Description("起始地址")]
        short AddrFrom { get; set; }
        [Description("目标地址")]
        short AddrTo { get; set; }
        [Description("货物类型")]
        short GoodsType { get; set; }
        [Description("任务数量")]
        short TaskQty { get; set; }
        [Description("指令类型")]
        RobotCmd Cmd { get; set; }
        [Description("凭证号")]
        short VoucherNo { get; set; }
        [Description("任务1")]
        int Task1 { get; set; }
        [Description("任务2")]
        int Task2 { get; set; }
        [Description("任务3")]
        int Task3 { get; set; }
    }
}
